Update Locations
Update existing locations.
Limits
- Limit of 50 concurrent requests.
- Limit of 100 active locations.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects a list of objects.
id
Location immutable unique identifier.
code
Location user-defined unique identifier.
label
Location label.
description
Description of location.
managed_by_external_source
Indicates if the third-party system is the source of truth for inventory values. If set to true, manually editing inventory in the BigCommerce control panel will be disabled.
type_id
Describe type of given location.
Allowed values:
enabled
Indicator of accessibility of the location.
operating_hours
Schedule with opening and closing hours for each day of the week.
time_zone
Time zone of location.
address
storefront_visibility
Indicator of accessibility of location on the storefront.
special_hours
Response
The request has been successfully processed.
transaction_id
Unique identifier of performed action.
Errors
422
Unprocessable Entity Error